
<?php 
include('header.php');

// request APIs

// Function to get the Bearer Token
function getBearerToken($url, $credentials) {
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($credentials));
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        'Content-Type: application/x-www-form-urlencoded'
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    $data = json_decode($response, true);
    if (isset($data['token'])) {
        return $data['token'];
    } else {
        throw new Exception("Unable to get token. Response: " . $response);
    }
}

// Function to fetch data using the Bearer Token
function fetchData($url, $token) {
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
        "Authorization: Bearer $token"
    ]);

    $response = curl_exec($ch);
    curl_close($ch);

    return json_decode($response, true);
}


// Define the URL and credentials for the token request
$tokenUrl = "http://adentrn.worksafeonline.co.uk/api/Token";
$credentials = [
    'username' => 'support.sss', // Replace with actual username
    'password' => 'simplesoft21'  // Replace with actual password
];

try {

$token = getBearerToken($tokenUrl, $credentials);

// Define the URL for the data request
$dataUrl = "http://adentrn.worksafeonline.co.uk/api/ContractList";

$data = fetchData($dataUrl, $token);



} catch (Exception $e) {
    die($e->getMessage());
}

?>



            <!-- ============================================================== -->
            <!-- Container fluid  -->
            <!-- ============================================================== -->
            <div class="container-fluid">
                <!-- ============================================================== -->
                <!-- Start Page Content -->
                <!-- ============================================================== -->
          
                <!-- order table -->
                <div class="row">
                    <div class="col-12">
                        <div class="card">
                            <div class="card-body">
                                <div class="d-flex d-flex justify-content-between mb-3 mt-1">
                                    <h4 class="mb-0 text-dark card-title align-self-center">Customer Contracts</h4>
                                    <div class="ms-auto">
                                    <button type="button" id="addCustomerBtn" data-isbtn="true" class="btn btn-primary">Add Customer</button>
                                    </div>
                                </div>
                                
                                <div class="table-responsive">

                                <?php  if ($data) { ?>

                                    <table id="default_order" class="table border table-striped table-bordered text-nowrap"
                                        style="width:100%">
                                        <thead>
                                            <tr>
                                            <th>Action</th>
                                            <th>Customer</th>
                                            <th>Address Code</th>
                                            <th>Contract No</th>
                                            <th>Contact</th>
                                            <th>Email</th>
                                            <th>Name</th>
                                            <th>Sent By</th>
                                            <th>Customer Name</th>
                                            <th>Account Manager</th>
                                            <th>Last Amended Date</th>
                                            <th>Last Order Date</th>
                                            </tr>
                                        </thead>
                                        <tbody>

                                            <?php

                                                foreach ($data['CustomerContract'] as $contract) {
                                                    echo "<tr>
                                                            <td><button type='button' data-id='{$contract['CustomerContract_No']}' class='btn btn-primary get-sub-items' data-toggle='modal' data-target='#exampleModal'>Get Sub Items</button</td>
                                                            <td>{$contract['Customer']}</td>
                                                            <td>{$contract['Address_Code']}</td>
                                                            <td>{$contract['CustomerContract_No']}</td>
                                                            <td>{$contract['Contact']}</td>
                                                            <td>{$contract['Email']}</td>
                                                            <td>{$contract['Name']}</td>
                                                            <td>{$contract['SentBy']}</td>
                                                            <td>{$contract['Customer_Name']}</td>
                                                            <td>{$contract['AccountManager']}</td>
                                                            <td>{$contract['LastAmmendedDate']}</td>
                                                            <td>{$contract['LastOrderDate']}</td>
                                                          </tr>";
                                                }
                                            ?>

                                        </tbody>
                                    </table>

                                <?php } else {
                                            echo "<p>No customer contracts found.</p>";
                                        }
                                ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
              
            </div>
            <!-- ============================================================== -->
            <!-- End Container fluid  -->
            <!-- ============================================================== -->
            <!-- ============================================================== -->
            <!-- footer -->
            <!-- ============================================================== -->


<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="false">
  <div class="modal-dialog modal-dialog-centered modal-xl modal-dialog-scrollable" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Sub Items</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

        <!-- Preloader -->
        <div id="preloader" class="d-flex justify-content-center align-items-center" style="height: 100vh; display: none;">
            <div class="spinner-border text-primary" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>

        <table class="table table-bordered table-striped table-contract-sub-items" id="contractsSubItemsTable" style="display: none;">
            <thead>
                <tr>
                    <th>Product</th>
                    <th>Sales Price</th>
                    <th>Status</th>
                    <th>Date From</th>
                    <th>Date To</th>
                    <th>Online</th>
                    <th>Image</th>
                    <th>BOM Price</th>
                    <th>Total</th>
                    <th>Customer</th>
                </tr>
            </thead>
            <tbody>
                <!-- Data will be inserted here -->
            </tbody>
        </table>
      </div>
    </div>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="false">
  <div class="modal-dialog modal-xl" role="document" style="max-width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Customer Contract</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

        <!-- Preloader -->
        <div id="preloaderEdit" class="d-flex justify-content-center align-items-center" style="height: 100vh; display: none;">
            <div class="spinner-border text-primary" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>

        <div class="customerContractContainer" style="display: none;">

            <div class="col-lg-12 col-md-12">
                <div class="row">
                    <div class="col-lg-3 col-md-12">
                    <label>Customer</label>
                    <div class="dropdown">
                      <button class="btn btn-light dropdown-toggle form-control" type="button" id="customersList" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Select customer
                      </button>
                      <div class="dropdown-menu" aria-labelledby="dropdownMenuButton" style="padding: 20px 50px 50px 50px;">
                        <table class="table table-bordered table-striped table-contract-sub-items table-sm" id="customerTable">
                            <thead>
                                <tr>
                                    <th>Customer</th>
                                    <th>Address Code</th>
                                    <th>Customer Name</th>
                                    <th>Post Code</th>
                                </tr>
                            </thead>
                            <tbody syle="cusrsor: pointer;">
                                <!-- Data will be inserted here -->
                            </tbody>
                        </table>
                      </div>
                    </div>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Depot</label>
                        <select class="form-control" id="depotOptionList" aria-label="Default select example">
                          
                        </select>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Name</label>
                        <input type="text" class="form-control" placeholder="Name" id="customer_name"/>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Sent by</label>
                        <select class="form-control" id="staffOptionList" aria-label="Default select example">
                        </select>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-lg-3 col-md-12">
                        <label>Email</label>
                        <input type="email" class="form-control" placeholder="Email" id="customer_email"/>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Contract No</label>
                        <input type="text" class="form-control" placeholder="Contract No" id="customer_contract_no"/>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Comments</label>
                        <textarea type="text" class="form-control" placeholder="Comments"></textarea>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Notes</label>
                        <textarea type="text" class="form-control" placeholder="Notes"></textarea>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-lg-3 col-md-12">
                        <label>From Date</label>
                        <input type="date" id="fromDate" class="form-control" placeholder="Date"/>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Review Date</label>
                        <input type="date" id="reviewDate" class="form-control" placeholder="Date"/>
                    </div>
                </div>
                <div class="row mt-3">
                    <div class="col-lg-3 col-md-12">
                        <label>Status</label>
                        <select class="form-control" id="statusOptionList" aria-label="Default select example">
                          
                        </select>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <label>Template</label>
                        <select class="form-control" aria-label="Default select example">
                          <option selected>Open this select menu</option>
                        </select>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <p>Suggested Price : </p>
                    </div>
                    <div class="col-lg-3 col-md-12">
                        <input type="checkbox"/>
                        <label>Save to Customer B2B Styles</label>
                    </div>
                </div>
                <hr>
                <div class="row mt-3">
                    <div class="col-lg-3 col-md-12">
                        <label>Customer</label>
                        <div class="dropdown">
                          <button class="btn btn-light dropdown-toggle form-control" type="button" id="stylesList" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Select Style
                          </button>
                          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton" style="padding: 20px 50px 50px 50px;">
                            <table class="table table-bordered table-striped table-contract-sub-items table-sm" id="stylesTable">
                                <thead>
                                    <tr>
                                        <th>Style</th>
                                        <th>Description</th>
                                        <th>Status</th>
                                        <th>Supplier</th>
                                        <th>Supplier Ref</th>
                                        <th>BOM</th>
                                        <th>Customer</th>
                                        <th>Online Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <!-- Data will be inserted here -->
                                </tbody>
                            </table>
                          </div>
                        </div>
                    </div>
                    <div class="col-lg-2 col-md-12">
                        <div class="form-check">
                          <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault1">
                          <label class="form-check-label" for="flexRadioDefault1">
                            Apply to All
                          </label>
                        </div>
                    </div>
                    <div class="col-lg-1 col-md-12">
                        <div class="form-check">
                          <input class="form-check-input" type="radio" name="flexRadioDefault" checked="true" id="flexRadioDefault1">
                          <label class="form-check-label" for="flexRadioDefault1">
                            Standard Size
                          </label>
                        </div>
                    </div>
                    <div class="col-lg-1 col-md-12">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" value="" id="flexCheckIndeterminate">
                          <label class="form-check-label" for="flexCheckIndeterminate">
                            Uplift (<span id="uplift"></span>)%
                          </label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-12">
                        <div class="form-group form-inline">                            
                            <label for="exampleInputEmail1" class="mr-1"> Sales Price </label>
                            <input type="text" class="form-control form-control-sm" id="sales_price" placeholder="Sales Price">
                            <label for="exampleInputEmail1" class="ml-1" id="std_price"> (Std : € 0.00) </label>
                            <label for="exampleInputEmail1" class="ml-1" id="margin"> Margin: 0% </label>
                         </div>
                         <div class="form-group form-inline">                            
                            <label for="exampleInputEmail1" class="mr-1" id="ArtworkPrice_price"> A/W Price </label>
                            <label for="exampleInputEmail1" class="ml-1" id="SalesPRangeUP"> (U/L : € 0.00) </label>
                         </div>
                    </div>
                    <div class="col-lg-1 col-md-12">
                        <button class="btn btn-success" type="button">Apply</button>
                    </div>
                </div>
                <div class="row mt-3" style="height: 400px; overflow: scroll;">
                    <table class="table">
                      <thead class="thead-primary">
                        <tr>
                          <th scope="col-1">Colour</th>
                          <th scope="col-8">Colour Desc</th>
                          <th scope="col-1">Fitting</th>
                          <th scope="col-1">Size</th>
                          <th scope="col-1">BOM</th>
                          <th scope="col-1">Sales Price</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <th scope="row">1</th>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                        </tr>
                      </tbody>
                    </table>
                </div>
                <div class="row mt-3">
                    <table class="table table-sm">
                      <thead class="thead-info">
                        <tr>
                          <th scope="col-1">ST</th>
                          <th scope="col-8">TC</th>
                          <th scope="col-1">WEB/AC</th>
                          <th scope="col-1">AC 01</th>
                          <th scope="col-1">AC 02</th>
                          <th scope="col-1">AC 03</th>
                          <th scope="col-1">AC 04</th>
                          <th scope="col-1">BL</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <th scope="row">1</th>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                          <td>@</td>
                        </tr>
                      </tbody>
                    </table>
                </div>
                <div class="row mt-3">
                    <div class="col-lg-10 col-md-12">
                        <table class="table table-sm">
                          <thead class="thead-light">
                            <tr class="table-success">
                              <th scope="col-1">Qty 1</th>
                              <th scope="col-8">Disc 1</th>
                              <th scope="col-1">Margin 1</th>
                              <th scope="col-1">Qty 2</th>
                              <th scope="col-8">Disc 2</th>
                              <th scope="col-1">Margin 2</th>
                              <th scope="col-1">Qty 3</th>
                              <th scope="col-8">Disc 3</th>
                              <th scope="col-1">Margin 3</th>
                              <th scope="col-1">Qty 4</th>
                              <th scope="col-8">Disc 4</th>
                              <th scope="col-1">Margin 4</th>
                              <th scope="col-1">Tolerance</th>
                              <th scope="col-1">#</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr>
                              <th scope="row">1</th>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                              <td>@</td>
                            </tr>
                          </tbody>
                        </table>
                    </div>
                    <div class="col-lg-2 col-md-12">
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" value="" id="flexCheckIndeterminate">
                          <label class="form-check-label" for="flexCheckIndeterminate">Bulk Apply</label>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>

<?php include('footer.php'); ?>

<script type="text/javascript">

$(document).ready(function(){

    let addCustomerOpenedbyBtn = false;
    var dataFetched = false;
    var dataTableInitialized = false;

    $(".get-sub-items").click(function(){

        $('#preloader').addClass('d-flex').show();
        $('#contractsSubItemsTable').hide();

        $contractId = $(this).data('id');
        $.post("getSubItems.php", { contractNo: $contractId})
            .done(function( data ) {
            
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    // Clear existing table body
                    var tableBody = $('#contractsSubItemsTable tbody');
                    tableBody.empty();

                    // Loop through each contract item and append rows to the table
                    jsonData.CustomerContract.forEach(function(item) {
                        var row = '<tr class="getProductInfo" data-styleid='+ item.Style +'>' +
                           
                            '<td>' + item.Product + '</td>' +
                            '<td>' + item.Sales_Price + '</td>' +
                            '<td>' + item.Status + '</td>' +
                            '<td>' + item.Date_From + '</td>' +
                            '<td>' + item.Date_To + '</td>' +
                            '<td>' + item.online + '</td>' +
                            '<td>' + item.imagepath + '</td>' +
                            '<td>' + item.BOMPrice + '</td>' +
                            '<td>' + item.Total + '</td>' +
                            '<td>' + item.Customer + '</td>' +
                            '</tr>';
                        tableBody.append(row);
                    });
                    // Hide the preloader and show the table
                    $('#preloader').removeClass('d-flex').hide();
                    $('#contractsSubItemsTable').show();
                    $('#contractsSubItemsTable').DataTable();
                } else {
                    alert('No customer contracts found or unauthorized.');
                }

        }).fail(function() {
            alert('Error loading data.');
        });
    });

    $(document).on('click', '#addCustomerBtn', function() {
        $("#exampleModal").modal('hide');
        $("#editModal").modal('show');

        $(".customerContractContainer").hide();
        $('#preloaderEdit').addClass('d-flex').show();

        if (!dataFetched) {
            $.post("getCustomerContracts.php")
                .done(function(data) {
                    $('#preloaderEdit').removeClass('d-flex').hide();
                    // Parse the JSON data
                    var jsonData = JSON.parse(data);
                    if (jsonData) {
                        // console.log(jsonData);
                        var tableBody = $('#customerTable tbody');
                        tableBody.empty();
                        // Loop through each contract item and append rows to the table
                        jsonData.contractCustomer.forEach(function(item) {
                            var row = '<tr class="getProductInfo" data-customerid='+ item.Customer +' data-customername='+ item.Customer_Name +'>' +
                                '<td>' + item.Customer + '</td>' +
                                '<td>' + item.Address_Code + '</td>' +
                                '<td>' + item.Customer_Name + '</td>' +
                                '<td>' + item.Post_Code + '</td>' +
                                '</tr>';
                            tableBody.append(row);
                        });
                        // Initialize or reinitialize DataTable
                        if (dataTableInitialized) {
                            $('#customerTable').DataTable().clear().rows.add($('#customerTable tbody tr')).draw();
                        } else {
                            $('#customerTable').DataTable();
                            dataTableInitialized = true;
                        }
                        // Hide the preloader and show the table
                        $(".customerContractContainer").show();
                        $('#preloaderEdit').removeClass('d-flex').hide();
                        dataFetched = true;
                    } else {
                        alert('No customers found or unauthorized.');
                    }
                })
                .fail(function() {
                    alert('Error loading data.');
                    $('#preloaderEdit').removeClass('d-flex').hide();
                });
        } else {
            $('#preloaderEdit').removeClass('d-flex').hide();
            $(".customerContractContainer").show();
        }
    });


    
    // Keep the dropdown open on click inside it
    $(document).on('click', '.dropdown-menu', function(e) {
        e.stopPropagation();
    });

    // Handle dropdown toggle click
    $(document).on('click', '.dropdown-toggle', function(e) {
        e.stopPropagation();
        var $dropdownMenu = $(this).next('.dropdown-menu');
        if ($dropdownMenu.hasClass('show')) {
            $(this).dropdown('toggle'); // Hide the dropdown
        } else {
            $('.dropdown-menu').removeClass('show'); // Hide any open dropdowns
            $(this).dropdown('toggle'); // Show the clicked dropdown
        }
    });

    // Handle table row click events and hide the dropdown
    $(document).on('click', '#customerTable tbody tr', function() {
        var customerId = $(this).data('customerid');
        var customerName = $(this).data('customername');

        // Change the dropdown button text to the selected customer name
        $('#customersList').text(customerId + ' - ' + customerName);

        var selectList = $('#depotOptionList');
        selectList.empty(); // Clear existing options


        // get customer details
        $.post("getCustomersDetails.php", { customerID: customerId})
            .done(function(data) {
                
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    // console.log(jsonData);
                    
                    var contract = jsonData.CustomerContract[0]; // Since it's a single object wrapped in an array

                    // Update the HTML with customer data (example)
                    $("#customer_name").val(contract.Customer_Name);
                    $("#customer_email").val(contract.Email);
                    $("#customer_contract_no").val(contract.CustomerContract_No);

                    // Get today's date
                    var today = new Date();
                    var dd = String(today.getDate()).padStart(2, '0');
                    var mm = String(today.getMonth() + 1).padStart(2, '0'); // January is 0!
                    var yyyy = today.getFullYear();

                    // Format today's date in YYYY-MM-DD format
                    var fromDate = yyyy + '-' + mm + '-' + dd;
                    $("#fromDate").val(fromDate);

                    // Calculate the date three months from today
                    var reviewDate = new Date(today.setMonth(today.getMonth() + 3));
                    var reviewDd = String(reviewDate.getDate()).padStart(2, '0');
                    var reviewMm = String(reviewDate.getMonth() + 1).padStart(2, '0'); // January is 0!
                    var reviewYyyy = reviewDate.getFullYear();

                    // Format the review date in YYYY-MM-DD format
                    var reviewFormattedDate = reviewYyyy + '-' + reviewMm + '-' + reviewDd;
                    $("#reviewDate").val(reviewFormattedDate);

                } else {
                    alert('No customer details found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });
        
        // get depot
        $.post("getDepotList.php", { customerID: customerId})
            .done(function(data) {
                
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    // console.log(jsonData);
                    var selectList = $('#depotOptionList');
                    selectList.empty(); // Clear existing options
                
                    // Loop through each customer item and append options to the select list
                    jsonData.customerAddress.forEach(function(customer) {
                        var option = '<option value="' + customer.Customer + '">' + customer.Customer_Name + '</option>';
                        selectList.append(option);
                    });
                } else {
                    alert('No depot found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });


        // get status
        $.post("getStatus.php")
            .done(function(data) {
                
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    var selectList = $('#statusOptionList');
                    selectList.empty(); // Clear existing options
                
                    // Loop through each customer item and append options to the select list
                    jsonData.AStatus.forEach(function(status) {
                        var option = '<option value="' + status.Status + '">' + status.Description + '</option>';
                        selectList.append(option);
                    });
                } else {
                    alert('No status found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });



        // get sent by
        $.post("getSentBy.php")
            .done(function(data) {
                
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    var selectList = $('#staffOptionList');
                    selectList.empty(); // Clear existing options
                
                    // Loop through each customer item and append options to the select list
                    jsonData.Staff.forEach(function(staff) {
                        var option = '<option value="' + staff.Staff_ID + '">' + staff.Name + '</option>';
                        selectList.append(option);
                    });
                } else {
                    alert('No status found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });



        // get style list
        $.post("getStyleList.php", { customerID: customerId})
            .done(function(data) {
                
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    // alert('customer ' + customerId);
                    console.log(jsonData);

                    var tableBody = $('#stylesTable tbody');
                    tableBody.empty();
                    // Loop through each contract item and append rows to the table
                    jsonData.contractStyles.forEach(function(style) {
                        var row = '<tr class="getStyleInfo" data-customid='+ customerId +' data-style='+ style.Style +' data-desc="'+ style.Description +'">' +
                            '<td>' + style.Style + '</td>' +
                            '<td>' + style.Description + '</td>' +
                            '<td>' + style.Status + '</td>' +
                            '<td>' + style.Supplier + '</td>' +
                            '<td>' + style.SupplierRef + '</td>' +
                            '<td>' + style.BOM + '</td>' +
                            '<td>' + "" + '</td>' +
                            '<td>' + style.Status1 + '</td>' +
                            '</tr>';
                        tableBody.append(row);
                    });
                    // Initialize or reinitialize DataTable
                    $('#stylesTable').DataTable();

                } else {
                    alert('No depot found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });




        // Hide the dropdown
        $('.dropdown-toggle').dropdown('hide');
    });

    $(document).on('click', '#stylesTable tbody tr', function() {

        var customerId = $(this).data('customid');
        var style = $(this).data('style');
        var desc = $(this).data('desc');

        // Change the dropdown button text to the selected customer name
        $('#stylesList').text(style + ' - ' + desc);

        // get style line
        $.post("getStyleLine.php", { customerID: customerId})
            .done(function(data) {
                
                // Parse the JSON data
                var jsonData = JSON.parse(data);

                if (jsonData) {
                    // alert('customer ' + customerId);
                    console.log(jsonData);
                    
                    var styleLine = jsonData.contractStyleLine;
                    
                    var uplift = styleLine.uplift;
                    var salesPrice = styleLine.SalesPrice;
                    var SalesPRangeSTD = styleLine.SalesPRangeSTD;
                    var Margin = styleLine.Margin;
                    var ArtworkPrice = styleLine.ArtworkPrice;
                    var SalesPRangeUP = styleLine.SalesPRangeUP;

                    $("#uplift").html(uplift);
                    $("#sales_price").val(salesPrice);
                    $("#std_price").html(SalesPRangeSTD);
                    $("#margin").html('Margin: ' + Margin + '%');
                    $("#ArtworkPrice_price").html('A/W Price: ' + ArtworkPrice);
                    $("#SalesPRangeUP").html(' (U/L : € ' + SalesPRangeUP + ')');

                } else {
                    alert('No depot found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });

        // Hide the dropdown
        $('.dropdown-toggle').dropdown('hide');

    });

    // Close dropdown when clicking outside
    $(document).on('click', function(e) {
        if (!$(e.target).closest('.dropdown').length) {
            $('.dropdown-toggle').dropdown('hide');
        }
    });


});

</script>